Package org.apache.felix.service.command

# Interface Function

All Known Implementing Classes:
  `Closure`, `CommandProxy`

public interface Function
A Function is a a block of code that can be executed with a set of arguments, it returns the result object of executing the script.

## Method Summary

Modifier and Type
Method
Description
`Object`
`execute(CommandSession session, List<Object> arguments)`
Execute this function and return the result.

## Method Details

### execute

Object execute(CommandSession session, List<Object> arguments) throws Exception
Execute this function and return the result.

Returns:
  the result from the execution.
Throws:
  `Exception` - if anything goes terribly wrong